### Virtual Method

# Ide TemplateProvider get_project_templates

#### Declaration

    GList*
    get_project_templates (
      IdeTemplateProvider* self
    )

#### Description

Gets a list of templates for this provider.

Plugins should implement this interface to feed `IdeProjectTemplate`‘s into the project creation workflow.

Available since: | 3.32

#### Return value

Returns: | A list of `IdeProjectTemplate*`
| A `GList` of `IdeProjectTemplate` instances.
| The caller of the function takes ownership of the data, and is responsible for freeing it.